#!/bin/bash
#PBS -l select=1:ncpus=1:mem=5gb

#Change directories for SAS log file output 
cd PROGRAM DIRECTORY NAME HERE

####This is a script file for the programs to make the FGP paper for the AER PP#####
###Last modified: 11-23-14#####


##Set up shortcut for directory
dir=PROGRAM DIRECTORY NAME HERE

###Programs to make input data##################

##Make a firm panel from 1992-2007 with employment and imports
sas SAS_01_Make_Firm_Panel.sas

##Make 2007 Matched Import data
sas SAS_02_Make_2007_Imports.sas 

##Pull in 2007 data from the CMF and CWH 
sas SAS_03_Make_Census_Estabs.sas

##Make FGP Panel dataset 
sas SAS_04_Make_FGP_Firm_Panel.sas

###Make variables for panel and analysis, output TABLES 1-5
stata-se -b do $dir/STATA_01_FGP_Analysis.do  

#Make firm panel statistics
stata-se -b do $dir/STATA_02_FGP_Panel_Analysis.do  



#Change permissions on disclosure files
cd DISCLOSURE DIRECTORY NAME HERE
chmod -R 770 *
chgrp -R br01179 *